Skip to main content
GET
Get a list of RMA returns

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

The unique RMA ID. This ID is automatically generated when a merchant registers a pending return for a supplier using the POST /v1/retailers/{retailer_id}/rmas/ endpoint.

brand_id
number
required

The unique brand ID. In the Dropship UI this is called the Supplier ID. To find your Supplier ID, click your supplier name in the top nav.

Response

200 - application/json

OK

count
integer
required

Total number of records

Example:

1005

results
object[]
required
next
string<uri> | null

Next page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_id}/?page=5"

previous
string<uri> | null

Previous page (applicable in a paginated response)

Example:

"https://api.example.org/demo/{retailer_id}/?page=3"